Wallet Grants
List grants for a wallet
Returns every grant attached to a specific wallet.
GET
/
wallets
/
{id}
/
grants
List grants for a wallet
curl --request GET \
--url https://api.alguna.io/wallets/{id}/grants \
--header 'Alguna-Version: <alguna-version>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alguna.io/wallets/{id}/grants"
headers = {
"Alguna-Version": "<alguna-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Alguna-Version': '<alguna-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.alguna.io/wallets/{id}/grants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"amount": "<string>",
"created_at": "2026-04-01T10:00:00Z",
"id": "wgr_01H1VECT",
"status": "approved",
"updated_at": "2026-04-01T12:30:00Z",
"wallet_id": "wlt_01H2ABC",
"description": "<string>",
"expires_at": "2027-03-24T10:00:00Z",
"invoice_id": "<string>",
"payment_id": "<string>"
}
],
"pagination": {
"per_page": 20,
"total_pages": 5
}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Authorizations
API key authentication. Pass your API key as a Bearer token.
Headers
Available options:
2026-04-01 Path Parameters
Unique identifier for the wallet
⌘I
List grants for a wallet
curl --request GET \
--url https://api.alguna.io/wallets/{id}/grants \
--header 'Alguna-Version: <alguna-version>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alguna.io/wallets/{id}/grants"
headers = {
"Alguna-Version": "<alguna-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Alguna-Version': '<alguna-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.alguna.io/wallets/{id}/grants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"amount": "<string>",
"created_at": "2026-04-01T10:00:00Z",
"id": "wgr_01H1VECT",
"status": "approved",
"updated_at": "2026-04-01T12:30:00Z",
"wallet_id": "wlt_01H2ABC",
"description": "<string>",
"expires_at": "2027-03-24T10:00:00Z",
"invoice_id": "<string>",
"payment_id": "<string>"
}
],
"pagination": {
"per_page": 20,
"total_pages": 5
}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}